Page MenuHomePhabricator

Use Arabic numerals for the Malayalam language
Closed, ResolvedPublic

Description

Author: shijualex

Description:
The malayalam wiki source project is at its infancy. Only 3 users are working in that project now. We are facing a major problem in the project.

Currently the numerals used in the project are malayalam numerals. But not much malayalees are familiar with malayalam numerals and they are using using Arabic numerals in their communication. Hence it is very diffcult for the users to work in the project. Hence I request you to change the default numerical system of malayalam wiki project to Arabic.

Thank you very much


Version: 1.11.x
Severity: enhancement
URL: http://ml.wikisource.org/

Details

Reference
bz10591

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 9:52 PM
bzimport set Reference to bz10591.
bzimport added a subscriber: Unknown Object (MLST).

robchur wrote:

(Not sure if this is actually possible without affecting other Malayam projects, including third parties.)

shijualex wrote:

I do not think numerals is depending on any sister project.

Malayalam wikipedia (http://ml.wikipedia.org/) is already using Arabic numerals.

shijualex wrote:

More over we want to implement the arabic numerals in malayaalm sister projects also.

  1. Malayalam Wiki books: http://ml.wikibooks.org
  1. Malayalam Wiki quotes: http://ml.wikiquote.org
  1. Malayalam Wictionary: http://ml.wiktionary.org/

We will log separate bugs for those wikis when some more members join there and when those wikies are more active.

Changing the number system in Wiki source (http://ml.wikisource.org/) is most urgent now since more users are active there now.

Thank you

ayg wrote:

So would most Malayam wikis want to use Arabic numerals, not Malayam numerals? Or are these wikis the exception, and most would want to use Malayam numerals?

shijualex wrote:

(In reply to comment #4)

So would most Malayam wikis want to use Arabic numerals, not Malayam numerals?
Or are these wikis the exception, and most would want to use Malayam numerals?

Malayalam numerals are not used any where in Kerala. (I mean Government organisations, schools, colleges and so on). Most of the younger generation malayalees (the people whose mother tounge is malayalam) cannot even recoginize the malayalam numerals.

All the malayalam wikies needs to be updated with the Arabic numerals. Malayalam wikipedia is already using arabic numerals. So please do the needful.

ayg wrote:

Okay, then it's just a software change.

simynazareth wrote:

(In reply to comment #6)

Okay, then it's just a software change.

Please make the necessary software change. Thank You,
Francis.

sadik.khalid wrote:

I think commenting $digitTransformTable part will be fine.

Please note the zero symbol '൦' is also wrong. '൦' is not zero in malayalam. I think this is 1/4 (one by four). I have submitted a bug with commenting $digitTransformTable part http://bugzilla.wikimedia.org/show_bug.cgi?id=10220

/**
*മലയാള അക്കങ്ങള്‍ വിക്കിയില്‍ ഉപയോഗിക്കുവാന്‍ ഇതിന്റെ കമന്റ്‌ ഒഴിവാക്കേണ്ടതാണ്‌
*If you want to use Malayalam numerals please remove this comment.

  • $digitTransformTable = array(
  • '0' => '൦',
  • '1' => '൧',
  • '2' => '൨',
  • '3' => '൩',
  • '4' => '൪',
  • '5' => '൫',
  • '6' => '൬',
  • '7' => '൭',
  • '8' => '൮',
  • '9' => '൯'

*);
*/

ayg wrote:

End-users should not be encouraged to edit language files, at least not explicitly (maybe here they have to be, if we don't have another mechanism of switching . . . make a new language? kind of excessive). Anyway, I'm waiting for someone from internationalization to do this, usually they're pretty quick about it.

sadik.khalid wrote:

Not arabic numarels, Normal 1,2,3,... the default one :-)

$digitTransformTable removed with r24261.

shijualex wrote:

A bug was reported earlier to fix the number sysytem in malayalam wiki source to arabic (http://ml.wikisource.org/). The issue was resolved on 2007-07-19.

See the below message from Raimond Spekking reagrding the fixation.

  • Comment #11 From Raimond Spekking 2007-07-19 07:38:34 UTC [reply] -------

$digitTransformTable removed with r24261.
http://svn.wikimedia.org/viewvc/mediawiki?view=rev&revision=24261.

But from today morning onwards the numeral system in malayalam wiki is switched back to the old number system.

Pleaese change the number system to Arabic. The number system in all malayalam wikies should be Arabic.

Please do the needful.

shijualex wrote:

It is fixed now. Thanks.

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptAug 6 2019, 6:32 PM